// Generated IDL File (by Great Migrations Studio) 
// Created: 12/3/2025 09:33:14 AM
// Source: C:\gmTestBed\FMStocks\src\FMSLib\bin\FMStocks_Ext.dll
// typelib filename: FMStocks_Ext.dll
[
    uuid(C2078F7E-A6ED-4849-B604-C7C44CD7D73C),
    version(2.0),
    helpstring("FMStocks_Ext"),
    custom(50867B00-BB69-11D0-A8FF-00A0C9110059, "8169")
]
library FMStocks_Ext
{
    // TLib : Microsoft ActiveX Data Objects 2.7 Library : {EF53050B-882E-4776-B643-EDA472E8E3F2}
    importlib("msado27.tlb");
    // TLib : OLE Automation : {00020430-0000-0000-C000-000000000046}
    importlib("stdole2.tlb");

    // Forward declare all types defined in this typelib

    interface _History;
    coclass History;

    [
        odl,
        uuid(0FFCF0C7-8D6A-46A3-8E48-C017DD39D5F6),
        version(1.0),
        hidden,
        dual,
        nonextensible,
        oleautomation
    ]
    interface _History : IDispatch {
        [id(0x60030000)]
        HRESULT GetHistory(
            [in] BSTR Ticker,
            [out, retval] ADODB._Recordset** retVal);
    };

    [
        uuid(BBC47202-2ADB-4D55-B319-28FC234D1229),
        version(1.0)
    ]
    coclass History {
        [default] interface _History;
    };

};